Skip to main content

Update Merchant

PUT 

/v1/merchants/:merchantId

Update a merchant

Request​

Path Parameters

    merchantId uuidrequired

Body

required

    name string

    Merchant name

    public_name string

    Merchant public name. This will be used in the invoices checkout page on (checkout.moyasar.com)

    country Country (string)

    ISO-3166-1 alpha-2 country code.

    time_zone string

    Default value: Asia/Riyadh

    Merchant timezone identifier

    website uri

    URL for the Merchant website where payment service will be provided.

    email email

    Merchant main communication email. This will be used by Moyasar staff to contact the merchant in case of chargebacks or updates.

    statement_descriptor string

    Merchant name that will appear on the cardholder statement.

    enabled_schemes string[]

    Possible values: [mada, visa, master]

    Default value: mada,visa,master

    This is used to specify card schemes allowed for the merchant

    payment_methods string[]

    Possible values: [creditcard, applepay, samsungpay, googlepay, stcpay]

    Default value: creditcard,applepay,samsungpay,googlepay

    This is used to specify payment methods allowed for the merchant

    fees

    object

    tax_inclusive boolean

    Indicate if the fee parameters are VAT inclusive. The default is false.

    mada_charge_rate numberrequired

    Variable charge rate (percentage) for mada.

    mada_charge_fixed numberrequired

    Fixed charge fee for mada.

    mada_charge_cap numberrequired

    Default value: 200

    Should always be 200.00 SAR (the maximum rated charge fee applied per transaction).

    mada_refund_rate number

    Variable refund rate (percentage) for mada.

    mada_refund_fixed numberrequired

    Fixed refund fee for mada.

    mada_refund_cap number

    mada refund cap (the maximum rated refund fee applied per transaction).

    cc_charge_rate numberrequired

    Variable charge rate (percentage) for local Visa and Mastercard.

    cc_charge_fixed numberrequired

    Fixed charge fee for local Visa and Mastercard.

    cc_charge_cap number

    Local Visa and Mastercard charge cap (the maximum rated charge fee applied per transaction).

    cc_refund_rate number

    Variable refund rate (percentage) for local Visa and Mastercard.

    cc_refund_fixed numberrequired

    Fixed refund fee for local Visa and Mastercard.

    cc_refund_cap number

    Local Visa and Mastercard refund cap (the maximum rated refund fee applied per transaction).

    cc_int_charge_rate number

    Variable charge rate (percentage) for international Visa and Mastercard (non-SA cards).

    cc_int_charge_fixed number

    Fixed charge fee for international Visa and Mastercard (non-SA cards).

    cc_int_charge_cap number

    International Visa and Mastercard charge cap (the maximum rated charge fee applied per transaction).

    cc_int_refund_rate number

    Variable refund rate (percentage) for international Visa and Mastercard (non-SA cards).

    cc_int_refund_fixed number

    Fixed refund fee for international Visa and Mastercard (non-SA cards).

    cc_int_refund_cap number

    International Visa and Mastercard refund cap (the maximum rated refund fee applied per transaction).

    stcpay_charge_rate number

    Variable charge rate (percentage) for STC Pay. Required when stcpay payment method is activated.

    stcpay_charge_fixed number

    Fixed charge fee for STC Pay. Required when stcpay payment method is activated.

    stcpay_charge_cap number

    STC Pay charge cap (the maximum rated charge fee applied per transaction).

    stcpay_refund_rate number

    Variable refund rate (percentage) for STC Pay.

    stcpay_refund_fixed number

    Fixed refund fee for STC Pay. Required when stcpay payment method is activated.

    stcpay_refund_cap number

    STC Pay refund cap (the maximum rated refund fee applied per transaction).

    amex_charge_rate number

    Variable charge rate (percentage) for local American Express.

    amex_charge_fixed number

    Fixed charge fee for local American Express.

    amex_charge_cap number

    Local American Express charge cap (the maximum rated charge fee applied per transaction).

    amex_refund_rate number

    Variable refund rate (percentage) for local American Express.

    amex_refund_fixed number

    Fixed refund fee for local American Express.

    amex_refund_cap number

    Local American Express refund cap (the maximum rated refund fee applied per transaction).

    amex_int_charge_rate number

    Variable charge rate (percentage) for international American Express (non-SA cards).

    amex_int_charge_fixed number

    Fixed charge fee for international American Express (non-SA cards).

    amex_int_charge_cap number

    International American Express charge cap (the maximum rated charge fee applied per transaction).

    amex_int_refund_rate number

    Variable refund rate (percentage) for international American Express (non-SA cards).

    amex_int_refund_fixed number

    Fixed refund fee for international American Express (non-SA cards).

    amex_int_refund_cap number

    International American Express refund cap (the maximum rated refund fee applied per transaction).

    settle_transfer_rate number

    Default value: 0

    Variable rate (percentage) applied on settlement transfers.

    settle_transfer_fixed number

    Default value: 0

    Fixed fee applied on settlement transfers.

Responses​

Merchant updated successfully

Schema

    id uuid

    Merchant ID. Used only with Platform API.

    entity_id uuid

    Entity ID (Merchant Account). This ID is used with all other APIs.

    type MerchantTypes (string)

    Possible values: [freelancer, establishment, company, foreign_company, government, charity]

    Merchant type determine the goverment category for the onboarded merchant and also affects the required KYC documents.

    status string

    Possible values: [pending, missing_docs, under_review, semi_active, active, hold, rejected, disabled]

    Merchant current status.

    The status missing_docs indicates that there are required changes that must be done for the merchant which can be found in reasons. After fixing the issues, the merchant must be submitted again for review.

    name string

    Merchant name

    website uri
    email email
    created_at date-time
    updated_at date-time
    statement_descriptor string

    Merchant name that will appear on the cardholder statement.

    owners_count integer
    signatory string
    signatory_count integernullable
    documents_complete boolean

    Indicate if all required documents has been uploaded.

    signature

    object

    status string

    Possible values: [unsigned, initiated, signed]

    url uri

    api_keys

    object

    Entity's API keys.

    test

    object

    publishable_key string

    Account publishable API key.

    secret_key string

    Account secret API key.

    This key will only be returned once during merchant created. You must this key securely within your infrastructure.

    There no way to view this key again, it must be regenerated using the Regenerate Key endpoint.

    live

    object

    publishable_key string

    Account publishable API key.

    secret_key string

    Account secret API key.

    This key will only be returned once during merchant created. You must this key securely within your infrastructure.

    There no way to view this key again, it must be regenerated using the Regenerate Key endpoint.

    fees

    object[]

  • Array [

  • name string

    Fee type name

    rate string

    Variable charge rate

    fixed string

    Fixed charge fee

  • ]

  • enabled_schemes string[]

    Possible values: [mada, visa, master]

    Enabled schemes for this merchants.

    payment_methods string[]

    Possible values: [creditcard, applepay, samsungpay, googlepay, stcpay]

    Enabled payment methods for this merchant.

    required_documents

    object[]

  • Array [

  • type DocumentType (string)

    Possible values: [activity_license, bank_iban_certificate, commercial_registration, company_address, freelance_certificate, investment_license, official_letter, owner_address, owner_id, power_of_attorney, signatory_address, signatory_id, vat_certificate, memorandum_of_association, other]

    info

    object

    oneOf

    Activity License. Needed when the activity in CR requires one.

    number string

    Possible values: <= 255 characters

    Activity license number.

    requires_upload boolean

    Indicate if the document type requires a file to be attached.

    required_count integer

    The minimum number of required documents of the same type. E.g. when specifying 5 owners, then 5 owner IDs must be added using the Upload Document endpoint.

  • ]

  • comment string

    Comment left by the onboarding team related to the merchant status.

    reasons string[]

    List of reasons on why the merchant was rejected or changes were requested (missing_docs).

    documents

    object[]

  • Array [

  • id uuid
    type DocumentType (string)

    Possible values: [activity_license, bank_iban_certificate, commercial_registration, company_address, freelance_certificate, investment_license, official_letter, owner_address, owner_id, power_of_attorney, signatory_address, signatory_id, vat_certificate, memorandum_of_association, other]

    info

    object

    oneOf

    Activity License. Needed when the activity in CR requires one.

    number string

    Possible values: <= 255 characters

    Activity license number.

    file_uploaded boolean
  • ]

Loading...